## org.apache.tools.ant.taskdefs.optional.extension.resolvers
Class AntResolver

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.extension.resolvers.AntResolver

All Implemented Interfaces:
  ExtensionResolver

public class AntResolver
extends java.lang.Object
implements ExtensionResolver

Resolver that just returns s specified location.

Version:
  $Revision: 1.1.2.3 $ $Date: 2003/02/10 14:25:09 $
Author:
  Peter Donald, Jeff Turner

Constructor Summary
`AntResolver()`

Method Summary
`java.io.File` `resolve(Extension extension, Project project)` Attempt to locate File that satisfies extension via resolver.
`void` `setAntfile(java.io.File antfile)`
`void` `setDestfile(java.io.File destfile)`
`void` `setTarget(java.lang.String target)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AntResolver

    public AntResolver()

Method Detail

### setAntfile

    public void setAntfile(java.io.File antfile)

### setDestfile

    public void setDestfile(java.io.File destfile)

### setTarget

    public void setTarget(java.lang.String target)

### resolve

    public java.io.File resolve(Extension extension,
                                Project project)
                         throws BuildException

  Description copied from interface: `ExtensionResolver`
  Attempt to locate File that satisfies extension via resolver.

  Specified by:
    `resolve` in interface `ExtensionResolver`
  Parameters:
    `extension` - the extension
  Returns:
    the File satisfying extension, null if can not resolve extension
  Throws:
    `BuildException` - if error occurs attempting to resolve extension

### toString

    public java.lang.String toString()

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.